1. Currencies
Spreadefi
  • Overview
  • API Reference
    • Currencies
      • List all currencies
        GET
      • Get a single currency
        GET
    • Pairs
      • List available pairs
      • Get amount range for a pair
    • Estimation
      • Estimate an exchange
    • Exchanges
      • Create an exchange
      • List exchanges
      • Get an exchange
  • Schemas
    • Currency
    • Pair
    • Range
    • Estimate
    • ExchangeCreateRequest
    • Exchange
    • Error
  1. Currencies

Get a single currency

GET
https://api.spreadefi.io/v1/currencies/{symbol}
Returns metadata for one currency by its symbol.

Request

Path Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.spreadefi.io/v1/currencies/btc'

Responses

🟢200
application/json
Currency metadata
Bodyapplication/json

Example
{
    "symbol": "btc",
    "name": "Bitcoin",
    "network": "btc",
    "has_extra_id": false,
    "extra_id": null,
    "image": "https://static.spreadefi.io/currencies/btc.svg",
    "is_fiat": false,
    "decimals": 8,
    "contract_address": null
}
🟠401Unauthorized
🟠404NotFound
Previous
List all currencies
Next
List available pairs
Built with